package com.gyee.wisdom.alarm.sharding.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.StopType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import java.util.List;
import java.util.Map;

@Repository
@Mapper
public interface StopTypeMapper extends BaseMapper<StopType> {

    List<StopType> queryStopTypeList(@Param("parentid")String parentid);

    StopType queryStopTypeById(@Param("id")String id);

    List<StopType> queryStopTypeRoot();

    List<Map> queryStopTypeParent(@Param("parentid")String parentid);

}
